Package: pycuda / 2016.1.2+git20161024-1

fix-setup.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
Description: Disable tests during setup
 Do not check for presence of shipped Boost and presence of configuration files
 during building of package. Clean compiled files and configuration.
Forwarded: not-needed
Author: Tomasz Rybak <tomasz.rybak@post.pl>
Last-Update: 2016-10-27
Index: pycuda-2016.1.2+git20161024/Makefile.in
===================================================================
--- pycuda-2016.1.2+git20161024.orig/Makefile.in
+++ pycuda-2016.1.2+git20161024/Makefile.in
@@ -12,6 +12,8 @@ install: tags
 clean:
 	rm -Rf build
 	rm -f tags
+	-rm -f siteconf.py
+	-find -name '*.pyc' -delete
 
 tags:
 	ctags -R src || true
Index: pycuda-2016.1.2+git20161024/aksetup_helper.py
===================================================================
--- pycuda-2016.1.2+git20161024.orig/aksetup_helper.py
+++ pycuda-2016.1.2+git20161024/aksetup_helper.py
@@ -108,26 +108,6 @@ def get_config(schema=None, warn_about_n
     if schema is None:
         from setup import get_config_schema
         schema = get_config_schema()
-
-    if (not schema.have_config() and not schema.have_global_config()
-            and warn_about_no_config):
-        print("*************************************************************")
-        print("*** I have detected that you have not run configure.py.")
-        print("*************************************************************")
-        print("*** Additionally, no global config files were found.")
-        print("*** I will go ahead with the default configuration.")
-        print("*** In all likelihood, this will not work out.")
-        print("*** ")
-        print("*** See README_SETUP.txt for more information.")
-        print("*** ")
-        print("*** If the build does fail, just re-run configure.py with the")
-        print("*** correct arguments, and then retry. Good luck!")
-        print("*************************************************************")
-        print("*** HIT Ctrl-C NOW IF THIS IS NOT WHAT YOU WANT")
-        print("*************************************************************")
-
-        count_down_delay(delay=10)
-
     config = expand_options(schema.read_config())
     schema.update_config_from_and_modify_command_line(config, sys.argv)
     return config
@@ -531,27 +511,8 @@ def set_up_shipped_boost_if_requested(pr
         source_path = "bpl-subset/bpl_subset"
 
     if conf["USE_SHIPPED_BOOST"]:
-        if not exists("%s/boost/version.hpp" % source_path):
-            print(DASH_SEPARATOR)
-            print("The shipped Boost library was not found, but "
-                    "USE_SHIPPED_BOOST is True.")
-            print("(The files should be under %s/.)" % source_path)
-            print(DASH_SEPARATOR)
-            print("If you got this package from git, you probably want to do")
-            print("")
-            print(" $ git submodule update --init")
-            print("")
-            print("to fetch what you are presently missing. If you got this from")
-            print("a distributed package on the net, that package is broken and")
-            print("should be fixed. For now, I will turn off 'USE_SHIPPED_BOOST'")
-            print("to try and see if the build succeeds that way, but in the long")
-            print("run you might want to either get the missing bits or turn")
-            print("'USE_SHIPPED_BOOST' off.")
-            print(DASH_SEPARATOR)
             conf["USE_SHIPPED_BOOST"] = False
 
-            count_down_delay(delay=10)
-
     if conf["USE_SHIPPED_BOOST"]:
         conf["BOOST_INC_DIR"] = [source_path]
         conf["BOOST_LIB_DIR"] = []
Index: pycuda-2016.1.2+git20161024/setup.py
===================================================================
--- pycuda-2016.1.2+git20161024.orig/setup.py
+++ pycuda-2016.1.2+git20161024/setup.py
@@ -209,7 +209,6 @@ def main():
 
             install_requires=[
                 "pytools>=2011.2",
-                "pytest>=2",
                 "decorator>=3.2.0",
                 "appdirs>=1.4.0",
                 "mako",